<!DOCTYPE html>
<!--
 | Generated by Apache Maven Doxia Site Renderer 1.11.1 at 2022-05-26

 | Rendered using Apache Maven Default Skin
-->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="generator" content="Apache Maven Doxia Site Renderer 1.11.1" />
    <title>Surefire Report</title>
    <link rel="stylesheet" href="./css/maven-base.css" />
    <link rel="stylesheet" href="./css/maven-theme.css" />
    <link rel="stylesheet" href="./css/site.css" />
    <link rel="stylesheet" href="./css/print.css" media="print" />
  </head>
  <body class="composite">
    <div id="banner">
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
      <div class="xleft">
        <span id="publishDate">Publicado el: 2022-05-26</span>
           | <span id="projectVersion">Versión: 2.0.22.5</span>
      </div>
      <div class="xright">      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
      <a href="http://maven.apache.org/" title="Generado por Maven" class="poweredBy">
        <img class="poweredBy" alt="Generado por Maven" src="./images/logos/maven-feather.png" />
      </a>
      </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
<script type="application/javascript">
//<![CDATA[
function toggleDisplay(elementId) {
 var elm = document.getElementById(elementId + '-error');
 if (elm == null) {
  elm = document.getElementById(elementId + '-failure');
 }
 if (elm && typeof elm.style != "undefined") {
  if (elm.style.display == "none") {
   elm.style.display = "";
   document.getElementById(elementId + '-off').style.display = "none";
   document.getElementById(elementId + '-on').style.display = "inline";
  } else if (elm.style.display == "") {   elm.style.display = "none";
   document.getElementById(elementId + '-off').style.display = "inline";
   document.getElementById(elementId + '-on').style.display = "none";
  } 
 } 
 }
//]]>
</script><section>
<h2><a name="Surefire_Report"></a>Surefire Report</h2></section><section>
<h2><a name="Summary"></a>Summary</h2><a name="Summary"></a>
<p>[<a href="#Summary">Summary</a>] [<a href="#Package_List">Package List</a>] [<a href="#Test_Cases">Test Cases</a>]</p><br />
<table border="1" class="bodyTable">
<tr class="a">
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left">10</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">6.264</td></tr></table><br />
<p>Note: failures are anticipated and checked for with assertions while errors are unanticipated.</p><br /></section><section>
<h2><a name="Package_List"></a>Package List</h2><a name="Package_List"></a>
<p>[<a href="#Summary">Summary</a>] [<a href="#Package_List">Package List</a>] [<a href="#Test_Cases">Test Cases</a>]</p><br />
<table border="1" class="bodyTable">
<tr class="a">
<th>Package</th>
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.auth.security.service.impl">mx.com.enginecore.auth.security.service.impl</a></td>
<td align="left">6</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">0.528</td></tr>
<tr class="a">
<td align="left"><a href="#mx.com.enginecore.auth.security.controller">mx.com.enginecore.auth.security.controller</a></td>
<td align="left">3</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">0.116</td></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.auth">mx.com.enginecore.auth</a></td>
<td align="left">1</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">5.62</td></tr></table><br />
<p>Note: package statistics are not computed recursively, they only sum up all of its testsuites numbers.</p><section>
<h3><a name="mx.com.enginecore.auth.security.service.impl"></a>mx.com.enginecore.auth.security.service.impl</h3><a name="mx.com.enginecore.auth.security.service.impl"></a>
<table border="1" class="bodyTable">
<tr class="a">
<th></th>
<th>Class</th>
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.auth.security.service.impl.UsuarioGrupoServiceImplTest"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></a></td>
<td align="left"><a href="#mx.com.enginecore.auth.security.service.impl.UsuarioGrupoServiceImplTest">UsuarioGrupoServiceImplTest</a></td>
<td align="left">1</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">0.02</td></tr>
<tr class="a">
<td align="left"><a href="#mx.com.enginecore.auth.security.service.impl.UserDetailsServiceImplTest"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></a></td>
<td align="left"><a href="#mx.com.enginecore.auth.security.service.impl.UserDetailsServiceImplTest">UserDetailsServiceImplTest</a></td>
<td align="left">1</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">0.043</td></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.auth.security.service.impl.ControlAccesoServiceImplTest"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></a></td>
<td align="left"><a href="#mx.com.enginecore.auth.security.service.impl.ControlAccesoServiceImplTest">ControlAccesoServiceImplTest</a></td>
<td align="left">4</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">0.465</td></tr></table></section><section>
<h3><a name="mx.com.enginecore.auth.security.controller"></a>mx.com.enginecore.auth.security.controller</h3><a name="mx.com.enginecore.auth.security.controller"></a>
<table border="1" class="bodyTable">
<tr class="a">
<th></th>
<th>Class</th>
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.auth.security.controller.AuthControllerTest"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></a></td>
<td align="left"><a href="#mx.com.enginecore.auth.security.controller.AuthControllerTest">AuthControllerTest</a></td>
<td align="left">3</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">0.116</td></tr></table></section><section>
<h3><a name="mx.com.enginecore.auth"></a>mx.com.enginecore.auth</h3><a name="mx.com.enginecore.auth"></a>
<table border="1" class="bodyTable">
<tr class="a">
<th></th>
<th>Class</th>
<th>Tests</th>
<th>Errors</th>
<th>Failures</th>
<th>Skipped</th>
<th>Success Rate</th>
<th>Time</th></tr>
<tr class="b">
<td align="left"><a href="#mx.com.enginecore.auth.AuthserviceApplicationTests"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></a></td>
<td align="left"><a href="#mx.com.enginecore.auth.AuthserviceApplicationTests">AuthserviceApplicationTests</a></td>
<td align="left">1</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">0</td>
<td align="left">100%</td>
<td align="left">5.62</td></tr></table></section><br /></section><section>
<h2><a name="Test_Cases"></a>Test Cases</h2><a name="Test_Cases"></a>
<p>[<a href="#Summary">Summary</a>] [<a href="#Package_List">Package List</a>] [<a href="#Test_Cases">Test Cases</a>]</p><section>
<h3><a name="UsuarioGrupoServiceImplTest"></a>UsuarioGrupoServiceImplTest</h3><a name="mx.com.enginecore.auth.security.service.impl.UsuarioGrupoServiceImplTest"></a>
<table border="1" class="bodyTable">
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.security.service.impl.UsuarioGrupoServiceImplTest.obtenerGruposUsuario"></a>obtenerGruposUsuario</td>
<td align="left">0.019</td></tr></table></section><section>
<h3><a name="AuthControllerTest"></a>AuthControllerTest</h3><a name="mx.com.enginecore.auth.security.controller.AuthControllerTest"></a>
<table border="1" class="bodyTable">
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.security.controller.AuthControllerTest.logout"></a>logout</td>
<td align="left">0.112</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.security.controller.AuthControllerTest.login"></a>login</td>
<td align="left">0.002</td></tr>
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.security.controller.AuthControllerTest.validarToken"></a>validarToken</td>
<td align="left">0.002</td></tr></table></section><section>
<h3><a name="UserDetailsServiceImplTest"></a>UserDetailsServiceImplTest</h3><a name="mx.com.enginecore.auth.security.service.impl.UserDetailsServiceImplTest"></a>
<table border="1" class="bodyTable">
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.security.service.impl.UserDetailsServiceImplTest.loadUserByUsername"></a>loadUserByUsername</td>
<td align="left">0.042</td></tr></table></section><section>
<h3><a name="AuthserviceApplicationTests"></a>AuthserviceApplicationTests</h3><a name="mx.com.enginecore.auth.AuthserviceApplicationTests"></a>
<table border="1" class="bodyTable">
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.AuthserviceApplicationTests.contextLoads"></a>contextLoads</td>
<td align="left">0.011</td></tr></table></section><section>
<h3><a name="ControlAccesoServiceImplTest"></a>ControlAccesoServiceImplTest</h3><a name="mx.com.enginecore.auth.security.service.impl.ControlAccesoServiceImplTest"></a>
<table border="1" class="bodyTable">
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.security.service.impl.ControlAccesoServiceImplTest.registrarEntrada"></a>registrarEntrada</td>
<td align="left">0.33</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.security.service.impl.ControlAccesoServiceImplTest.findByLastAccess"></a>findByLastAccess</td>
<td align="left">0.002</td></tr>
<tr class="a">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.security.service.impl.ControlAccesoServiceImplTest.validarToken"></a>validarToken</td>
<td align="left">0.125</td></tr>
<tr class="b">
<td align="left"><figure><img src="images/icon_success_sml.gif" alt="" /></figure></td>
<td align="left"><a name="TC_mx.com.enginecore.auth.security.service.impl.ControlAccesoServiceImplTest.registrarSalida"></a>registrarSalida</td>
<td align="left">0.003</td></tr></table></section><br /></section>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
        Copyright &#169;      2022..      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
